## Index

### Type aliases

- UpdateExpressionsByKeyword

### Functions

- addExpression
- addUpdateExpression
- isUpdateActionKeyword
- mergeUpdateExpressions
- splitUpdateExpressionToActionKeyword

## Type aliases

### UpdateExpressionsByKeyword

UpdateExpressionsByKeyword: Record<UpdateActionKeyword, string>

- Defined in dynamo/expression/param-util.ts:51

## Functions

### addExpression

- addExpression(expressionType: "ConditionExpression" | "KeyConditionExpression" | "FilterExpression" | "UpdateExpression", condition: Expression, params: ConditionalParams): void

- - Defined in dynamo/expression/param-util.ts:12

  #### Parameters

  - ##### expressionType: "ConditionExpression" | "KeyConditionExpression" | "FilterExpression" | "UpdateExpression"

  - ##### condition: Expression

  - ##### params: ConditionalParams

  #### Returns void

### addUpdateExpression

- addUpdateExpression(updateExpression: Expression, params: UpdateItemInput): void

- - Defined in dynamo/expression/param-util.ts:8

  #### Parameters

  - ##### updateExpression: Expression

  - ##### params: UpdateItemInput

  #### Returns void

### isUpdateActionKeyword

- isUpdateActionKeyword(val: string): boolean

- - Defined in dynamo/expression/param-util.ts:94

  #### Parameters

  - ##### val: string

  #### Returns boolean

### mergeUpdateExpressions

- mergeUpdateExpressions(expression1: string, expression2: string): string

- - Defined in dynamo/expression/param-util.ts:68

  Will merge two update expressions into one, one action keyword can only appear once in an update expression

      const merged = mergeUpdateExpressions(
                         'SET a, b REMOVE e, f ADD i, j DELETE m, n',
                         'SET c, d REMOVE g, h ADD k, l DELETE o, p',
                     )
      console.log(merged) -> 'SET a, b, c, d REMOVE e, f, g, h ADD i, j, k, l DELETE m, n, o, p'

  #### Parameters

  - ##### expression1: string

  - ##### expression2: string

  #### Returns string

### splitUpdateExpressionToActionKeyword

- splitUpdateExpressionToActionKeyword(updateExpression: string): UpdateExpressionsByKeyword

- - Defined in dynamo/expression/param-util.ts:79

  Will return an object containing all the update statements mapped to an update action keyword

  #### Parameters

  - ##### updateExpression: string

  #### Returns UpdateExpressionsByKeyword

Generated using TypeDoc